Skip to content

Accept a Last.fm Scrobble (Slug)

POST
/api/lastfm
curl --request POST \
--url https://example.com/api/lastfm \
--header 'Content-Type: application/json' \
--data '{ "method": "track.scrobble", "artist": "example", "track": "example", "album": "example", "albumArtist": "example", "mbid": "example", "duration": 1, "sk": "example", "api_key": "example", "timestamp": 1 }'

Accepts a standard Last.fm track.scrobble payload using a custom slug

    EX `slug=myCoolSlug` => `track.scrobble` to `/api/lastfm/myCoolSlug`
format
string
Media typeapplication/json
Any of:
Any of:
Single Scrobble
object
method
required
string
Allowed value: track.scrobble
artist
required
string
track
required
string
album
string
albumArtist
string
mbid
string
duration
integer
> 0 <= 9007199254740991
sk
string
api_key
string
timestamp
required
integer
> 0 <= 9007199254740991

Success